DVR-Compress 2.0 - Product description

General

DVR-Compress is a tool to reduce the volume of a record. At this you have to differentiate between
  • SD (television with normal resolution)
  • HD (television with high definition resolution)

    • The files have to exist in a certain format.

    HD handling

    This formats are supported:
  • TS (Transportstream)
  • M2TS (Blu-Ray Container)

    • By opening a file DVR-Compress analyses if an optimization is possible and at what degree.

    DVR-Compress checks autonomous if the stream is confirming to standards. Some devices put in controlling signals or tv senders use formats with missing data. That can lead DVR-Compress to deny the handling.

    The handling is without any loss of quality.
    Compress only removes files which are not needed for the real screen and sound information.

    This process is useful with HD senders with a constant data rate. These senders use dummy bits to fill the rate up to a maximum size. Scenes with many changes in the pictures have less dummy bits than scenes without any movement. Removing the dummies can save up to 50% of the file size.

    SD handling

    Compress wants to reduce a compilation down to the size of a DVD blank. Therefore the following file are supported:
  • The folder Video_TS

    • You can get a compilation from different DVD authoring programs like DVR-Studio Pro or DVR-Studio HD 2.

    The reduction of data is a mathematical process which has his limits:
  • Up to a maximum of 50% of the original file
  • The resulting data rate is not allowed to be lower than 2Mbit/s

    • Reducing the data can influence the quality. Up to a reduction of 20% only a little loss can be expected.

    The compilation of a DVD should be arranged and regard the data rates of its parts.
    Example: From records with a data rate of 6Mbit/s you can expect a good quality even by a reduction of 40%. On the other hand it does not make sense to reduce a 2Mbit/s record in the same. Because of the low data rate the picture will include many pixel failures and would not look nice. The advice is to look for the lowest data rate in your compilation.

    You can set the disk size and compress will determine the degree of compress that is needed.

    Related themes:

    HD handling, SD handling


DVR-Compress 2.0 - Overview

Product description

  • How compress works

  • Admissible formats

  • Limits to attend

    • Main window

  • SD handling selection

  • HD handling selection

    • SD handling window

  • Define input and output folders

  • Define DVD medium

  • Start handling

  • Care about...

    • HD handling window

  • Define input and output folders

  • Define DVD medium

  • Start handling

  • Care about...


DVR-Compress 2.0 - Main window

The main window...

Click on the icon to choose the type:
  • SD (television with normal resolution)
  • HD (television with high definition resolution)

    • Click on the HD logo, if your record is of the following type:

  • TS (Transportstream)
  • M2TS (Blu-Ray container)

    • Click on the SD logo, if your DVD compilation exists as:

  • Folder Video_TS

    • Related themes:

    HD handling, SD handling


DVR-Compress 2.0 - SD handling

Process of compressing:

  • Defining a source file.

    • Click [Select] to choose the folder Video_TS to be compressed. Alternatively you can pull the file into the window by using the mouse. (Drag & Drop)

  • Define a target folder

    • Click [Select] to define the memory location where the compressed folder Video_TS should be created.

  • Define the size of CD blank.

    • DVR-compress can not detect the size of a CD blank by itself, the software compresses to the user defined size.

  • Press [Compress] to start the process.

    • The [Back] button leads back to the main window.

    IMPORTANT: An existing Video_TS folder in the target folder will be overwritten by the next process.

    Related themes:

    Problems with SD compressing


DVR-Compress 2.0 - HD window

Process of optimization

  • Defining a source file.
    • Click the [Choose] button and choose the file to be optimized. Alternatively you can pull the file into the window by using the mouse. (Drag & Drop)

    Now the file will be analyzed. If an optimization is possible the expected percentage of reduction is shown.

  • Define a target folder

    • Press [Select] to define a memory location where the optimized file will be placed with the same name.

  • Press [Optimization] to start the process.

    • After the process the new file size (in MB) and the degree of reduction (in %) are shown.

    The [Back] button leads to the main window.

    IMPORTANT: An existing file with the same name will be overwritten without any comment.

    Related themes:

    Problems with HD optimization, Bring back optimized HD files to the receiver


Registration - Overview

Manuel registration

  • Which data is needed

  • Password forgotten? And now...

    • Automatic registration

  • Upload registration data to DVR-Compress

  • Upload registration data via DVR-Studio HD

  • Passwort forgoten? And now...

    • Oder process

  • How to get DVR-Compess

  • What to care about

  • What is needed to order


DVR-Compress 2.0 - Manual registration

Step 1: Get licence key from the customers area

Here are the first single steps:

  • Go to www.Haenlein-Software.com

  • Log in with customer number and password.

  • Click to the link "My customer area"

  • Click on the button "Licences"

  • Write down the licence key notified under Compress 2

    • Step 2: Fill in data to registrate

    Here are the first single steps:

  • Go to "Help" -> "Registration" -> "Info about"

  • Click to "Registration" to get to the registration window.

  • Fill in the boxes and click "Registration"

    • If your specifications are correct the the sign "Full version" will be shown in the "Info about" window. If you have a temporary version the date of ending will be shown.

    Related themes:

    Automatic registration, In spite of my full version it is only shown as a demo version


DVR-Compress 2.0 - Automatic registration

Registration data

If the PC on which you want to run DVR-Compress has access to the web, than the program will catch the registration data by itself.

The single steps are:

  • Open up "Help" -> "Registration" -> "Info aboutÉ"

  • Click "Registration" to open the registration window.

  • Now fill in your customer number and password and select "Load licence key"

    • If tour Dada is correct DVR-Compress will load the licence key and put it in. In the "Info aboutÉ" window should now be noted that you have a full version or the date until which your version is limited.

    Related themes:

    Manual registration, In spite of my full version it is only shown as a demo version


DVR-Compress 2.0 - Order process

The "Info aboutÉ" window

In this window you can see the time period of how long your version of the program can be used.

If you want to buy the program please do so one week before the demo period ends. In this way you can make sure a change without any problems.

The order process

In the "Info about" window a serial number with twelve digits is shown. This number is created by starting the program and it is individual to the components of your PC."

It does not matter from which PC you place your order.
It is only important that with the order you fill in the serial number that belongs to the PC you want to run the software.

You don't have to be afraid of buying via internet:
We do not need your banking data. You can transfer the money to our bank account or via PayPal. But only if you declare your correct personal data we are able to help the rare case of data loss.

The order process:

  • Please note the serial number you find in the "Info aboutÉ" window.
  • Click the button "BuyÉ" or go to "www.Haenlein-Software.com" into the online-shop

    • Now you need the serial number you have noted before. Follow the given order process steps. At any time you can get explanations to everything in the shop.


Help with problems - Overview

File is not accepted

  • Why has DVR-Studio HD to prepare some files before handling?

  • No optimaziation possible

  • Handling process breaks

    • Problems with SD compressing

  • The configuration is still to large for a DVD

  • Handling process breaks

  • Massive pixel bulks in the pictures

    • The handled file does not run anymore

  • My receiver does not play the file anymore

  • It is not possible to skip within the file

    • The limits of Compress 2

  • HD: Which records can be optimized?

  • SD: What kind of compression makes sense?

  • SD: What things have to be reminded by DVDs with more than one record?

  • I have got a licence, but it is only shown that i have the demo version.


DVR-Compress 2.0 - Problems with HD optimazation

Care about...

The HD files you want to work with have to satisfy some special requirements:

It has to be a pure TS file.
Some TV stations do not transmit all relevant data or some devices put additional information into the record. Both can lead to the fact that Compress 2 denies the processing.

The following things can be the cause:
  • The file has a header, footer or any other controlling bits

  • Recording information are missing (PAT/PMT).

  • It is not a H264 record.

  • Parts of the record are encoded.

  • The file contains to much defect data.

    • You can create this conformance by loading records and export them as a TS file. While using DVR-Compress within the processing of DVR-Studio HD this will be done automatically.

    IMPORTANT ADVICE:
    Adjusting a HD rekord can lead to the problem that your receiver is not able to play the record any more! This is not a fault of compress.

    Many devices use control files. Those Files are used to control and play the record. Some devices accept changes in that files of a record. For example the Humax iCord can still play those records but gets into trouble with fast forwarding because the old control files have other requirements. The playtime and file size are not shown corectly.
    Many receivers deny the replay if the movie file does not conform to a checksum in the control file. There might also be problem if the file of a record comply with the size given by the receiver manufacturer.
    For many devices DVR-Studio HD is able to create the correct control files. This is shown by a green or yellow point in our "list of supported devices" on our Homepage. For those not only the correct control files are created, even the record will be put out in the needed size.

    Related themes:

    HD Handling


DVR-Compress 2.0 - Problems with SD-Compressing

Care about...

Compressing is a mathematical process and has limits. It works with video DVD compilations and SD-records you can find in the folder 'video_TS'. Only the pictures are compressed. The sound of a record keeps untreated.

Given limits:

  • Maximum data reduction of 50%

  • Resulting data rate not under 2MBit/s

    • The following problems can occure:

  • Break of the handling because of defects within the record.

    • Those defects can result from interferences (snow, blizzard, los Signal) and can jam the Handling. You can workaround these problems by searching them within DVR-Studio Pro or DVR-Studio HD and define them as cutting areas.

  • The compilation is too large:

    • If the compilation has e.g. the size of 10 GB and you try to reduce it to the size of a 4,7 GB DVD, that will exceed the possible maximum data reduction of 50%.

  • Handling breaks because of a low data rate:

    • A general compressing factor is determined for the whole compilation. Example: There are three records with different data rates (6, 5 and 3 Mbit/s) in the compilation. Together they have the size of 8,6GB. The goal is to reach a size of 4,3 GB because of the size of a DVD blank. That would need the maximum rate of reduction of 50%, but in that case the record with the 3Mbit/s data rate would drop under the 2Mbit/s limit of data rates.

  • Heavy pixel failures in the replay of the DVD.

    • Low data rates together with settled visual content to not make any problems. For example: A stationary landscape and a the horizon a horseman who crosses the scene. That does not need many data. But a pan shot of this scene would produce many more data because of the changing pictures. Using a high data rate that would make no problems, but if too many pictures are needed MPEG has to combine pixels. That leads to pixel failures in the movie.

    TIPP:Make compilations with the goal that the resulting data rate does not drop under 3Mbit/s. A record with 7Mbit/s can be reduced by 50%. If the record itself has only a rate of 4Mbit/s even a reduction of 30% is risky.

    ADVICE: The manufactures' instructions on DVDs are misleading:
    4,7GB = 4.700.000.000 Byte = 4.589.000 KB = 4.482 MB =
    4,377 GB (DVD in real)
    8,5GB = 8.300.781.200 Byte = 8.300.781 KB = 8.106 MB =
    7,916 GB (DL DVD in real)
    It is a Trick of the industry: They declare the size in Giga-Byte (mathematically Giga stands for 1000). But the conversion factor per unit is 1024 in the field of PC technology.

    Related themes:

    SD Handling


The arranged file does not run on my receiver any more

Care about...

Adjusting a HD record can lead to the problem that your receiver is not able to play the record any more! This is not a fault of compress.

Many devices use control files. Those Files are used to control and play the record. Some devices accept changes in that files of a record. For example the Humax iCord can still play those records but gets into trouble with fast forwarding because the old control files have other requirements. The playtime and file size are not shown corectly.
Many receivers deny the replay if the movie file does not conform to a checksum in the control file. There might also be problem if the file of a record comply with the size given by the receiver manufacturer.
For many devices DVR-Studio HD is able to create the correct control files. This is shown by a green or yellow point in our "list of supported devices" on our Homepage. For those not only the correct control files are created, even the record will be put out in the needed size.

Related themes:

HD Handling


DVR-Compress 2.0 - Problems with registration

Problems with the connection

With changes in the hardware configuration of your PC the shown serial number can change. That can lead to the message 'demo version expired'. In this case you need a new licence key which can be ordered at our webpage.

The single steps are:

  • Go to www.Haenlein-Software.com

  • Log in with your customer number and password.

  • Click the link "My customer area"

  • Click the button "Licences"

  • With the correspondent licence click "Change information...".

  • Overwrite the shown serial number with the number shown by DVR-Compress 2 on your computer.

  • Click to "Change informationÉ" to save the changes.

    • All these steps are shown in an educational video in the custom area.

    If you have forgotten your password for the customer area you can get your login data via e-mail. The single steps are:

  • Go to www.Haenlein-Software.com

  • Click "Password forgotten?"

  • Fill in the email adress you have announced when ordering the software. Our system will send you an email with your customer number and a randomly generated password.

    • IMPORTANT: If you do not get this email within 10 Minutes an advertisement blocker or spam filter might have caught the email.

    Every demand changes the password. Be sure that the current correct password is written in the last email you have received.

    Related themes:

    Manual registration, Automatic registration